/**1.4.13 - 2026.03.06**/
- Fixed: Display shortcode review as a slide on mobile
- Updated: Compatibility with TranslatePress

/**1.4.12 - 2026.01.16 **/
- Update: VillaThem support

/**1.4.11 - 2026.01.09 **/
- Fixed: Can not import review from the extension
- Update: VillaThem support

/**1.4.10 - 2025.12.19 **/
- Fixed: Incorrect review display on the shortcode if the load-more button is enabled
- Updated: The new design for grid 1, grid 2, list 1, list 2 style
- Updated: Add 'upload_button_style' attributes to the Review form shortcode
- Updated: Add 'average_rating_style' attributes to the Overall rating shortcode
- Updated: Add 'pagination_end' , 'pagination_style', and 'average_rating_style' attributes for the Reviews shortcode
- Updated: Add list 1, list 2 styles to the 'style' attribute for the Reviews shortcode
- Updated: Delete 'conditional_tag' attribute of the Reviews shortcode
- Updated: Compatibility with WC 10.4

/**1.4.9 - 2025.10.18 **/
- Fixed: Incorrect filter rating display on shortcode.

/**1.4.8 -2025.09.12 **/
- Fix: Item vulnerabilities
- Fix: Wrong review template when loading more
- Fix: Import review images from CSV
- Fix: Display number column in mobile
- Update: Support class

/**1.4.7 -2025.09.05 **/
- Updated: Option show product gallery
- Updated: Updated file language
- Updated: Updated support class
- Updated: Compatibility with WC 10.1.2

/**1.4.6 -2025.08.15 **/
- Fixed: Incorrect filter count display on single product page.
- Fixed: Resolved an issue where photo upload captions were often mismatched with the corresponding images.
- Fixed: Resolved an issue where the comment author name was not showing/hiding correctly.

/**1.4.5 -2025.08.04 **/
- Fixed: Item Vulnerabilities - IS0168
- Fixed: Display list 2 template
- Fixed: Only include the single product post type and exclude all other custom post types.
- Updated: Compatibility with WP 6.8.2 and WC 10.0.4
- Added: Import review from Temu
- Added: File wpml-config.xml

/**1.4.4 -2025.06.26 **/
- Fixed: Some issues Customer report
- Updated: Compatibility with WP 6.8.1 and WC 9.9.4
- Updated: Update support class

/**1.4.3 -2025.04.11 **/
- Fixed: Some issues with Front-end style settings
- Updated: Compatibility with WP 6.8 and WC 9.8.1
- Updated: Update support class

/**1.4.2 -2025.03.28 **/
- Fixed: Incorrect display issue in the new template
- Updated: Compatibility with WC 9.7.1
- Updated: Update support class
- Updated: Improved "Front-end Style" setting layout for better feature visualization.

/**1.4.1 -2025.02.28 **/
- Fixed: Shortcode compatibility issue with the WooCommerce Email Template Customizer Premium plugin by Villatheme.
- Updated: Compatibility with WC 9.7.0
- Updated: Update support class

/**1.4.0 - 2025.01.24**/
- Dev: Add filter hook for email review reminder 'wcpr_review_reminder_product_title' and 'wcpr_review_reminder_product_price'
- Added: Option in Hide name - to display specific number of character from the beginning of reviewer's name
- Added: New layout photo review
- Updated: Compatibility with WC 9.6.0
- Updated: Update support class

/**1.3.16 - 2024.12.13**/
- Added: Option in Hide name - to display specific number of character from the beginning of reviewer's name
- Updated: Compatibility with WC 9.4.3 and wp6.7.2
- Updated: Update support class
- Dev: Added the filter hook "viwcpr_hook_target_link_product" to customize the target attribute value of the <a> tag (default: _blank).

/**1.3.15 - 2024.11.07**/
- Added: placeholders {product_title}, {customer_display_name} for review photos prefix
- Added: Option 'Disable opening the "Reviews" for orders in a new tab.
- Updated: Compatibility with WC 9.3.3 and wp6.7
- Updated: Update support class

/**1.3.14 - 2024.09.07**/
- Fixed: Errors from customers' feedback

/**1.3.13 - 2024.07.16**/
- Added: Option to display 1 random image of the product's gallery and the product's image if the review has no photos or videos
- Fixed: sort product review on the shortcode Ajax

/**1.3.12 - 2024.04.23**/
- Added: option enable/disable auto play video
- Fixed: Error reported by customer
- Updated: Support upload video .mov
- Updated: Update support class

/**1.3.11 - 2023.10.12**/
- Added: Allow your customer submit reviews for purchased products per order at one time
- Added: Show star rating in email
- Updated: Update support class

/**1.3.10 - 2023.04.20**/
- Fixed: Can not add review on the dashboard

/**1.3.9 - 2023.04.11**/
– Updated: Compatible with 'High-Performance order storage (COT)'

/**1.3.8 - 2023.02.16**/
- Fixed: Translation of reviews from WPML/WCML does not show in reviews shortcode - masonry

/**1.3.7 - 2023.01.07**/
- Updated: Compatibility with PHP 8.x.x
- Added: Option upload file via ajax

/**1.3.6 - 2022.11.02**/
- Fixed: Conflict with Uncode theme causing pagination not working properly for Masonry style in some cases

/**1.3.5 - 2022.10.19**/
- Fixed: Page scrolling after closing review popup in some cases
- Fixed: Submit review not showing in some cases

/**1.3.4 - 2022.09.29**/
- Fixed: Translated review content from AliExpress to English on Product List
- Updated: Remove * for comment title if allow empty comment
- Updated: More ways to format reviewer's display name
- Added: Validate review content, customer information and restrict numbers of reviews without reloading the page
- Added: Option display full image size
- Added: Option create a new cropped “thumbnail” image

/**1.3.3 - 2022.09.09**/
- Fixed: wpml_all_languages/pll_all_languages not working properly for reviews shortcode on single product
- Fixed: Translated reviews(WPML) not showing with masonry style
- Fixed: Redirect url after a review is submitted when Ajax pagination is enabled
- Fixed: SQL error in reviews shortcode when sorting reviews by vote while filter is disabled
- Fixed: Image of translated attributes(WooCommerce Product Variations Swatches) not showing inside review popup on single product page
- Added: Vietnamese translation
- Added: {last_valid_date} of coupon to use in email

/**1.3.2 - 2022.07.20**/
- Fixed: WPML compatibility issue: product and review form links in review reminder email triggered when order status changes are not in correct language
- Updated: Compatibility with WC 6.7

/**1.3.1 - 2022.05.30**/
- Fixed: Design of Upload button

/**1.3.0 - 2022.05.28**/
- Fixed: Compatibility issue with Skeleton screen(Porto theme) in some cases
- Fixed: Image popup settings switch back from Lightbox to Below thumbnails
- Updated: Apply Max content length to review replies
- Updated: Compatibility with show reviews in all languages of WPML
- Updated: Make share reviews/rating count features work with "show reviews in all languages" of WPML
- Updated: Deprecated _register_controls notice from Elementor 3.6
- Updated: Allow to sort reviews by vote
- Updated: Display error message when customer add review via WC notice
- Updated: Display as slider for shortcode [wc_photo_reviews_shortcode]
- Updated: Support upload image .webp
- Added: Support upload video .mp4, .webm
- Added: Max content length for masonry style on mobile
- Added: Add ajax add to cart on masonry popup
- Added: Option to Require review characters not less than a certain
- Added: Allow setting multiple coupons for the reviews

/**1.2.0 - 2022.03.29**/
- Updated: Update support class

/**1.1.10 - 2022.03.22**/
- Updated: Update support class

/**1.1.9- 2022.01.15**/
- Updated: Compatibility with WC 6.1
- Fixed: Get the average rating for products that share reviews

/**v1.1.8 - 2021.11.22**/
- Updated: Allow customer to submit comments for review form shortcode if disabled 'Comment author must fill out name and email'

/**v1.1.7 - 2021.11.13**/
- Fixed: Popup review with only image

/**v1.1.6 - 2021.11.02**/
- Added: Resend review reminder email
- Added: Support Hide filters/overall rating if empty in reviews shortcode
- Fixed: Product average rating in masonry popup

/**v1.1.5.4 - 2021.08.03**/
- Fixed: masonry style with load-more button on Firefox

/**v1.1.5.3 - 2021.07.24**/
- Fixed: Error when enabling review country

/**v1.1.5.2 - 2021.07.07**/
- Updated: New masonry style if use load-more button

/**v1.1.5.1 - 2021.06.28**/
- updated: Allow customer to submit comments if disabled 'Comment author must fill out name and email'
- Added: Add option 'Use product SLUG instead of ID' to import CSV
- Added: Load-more button with ajax pagination
- Added: Shortcode [wc_photo_reviews_overall_rating_html]
- Added: Add “next” and “previous” links for shortcode pagination

/**v1.1.5.0 - 2021.05.07**/
- Added: Share reviews between different products
- Updated: Compatible with Antispam Bee plugin of pluginkollektiv

/**v1.1.4.9 - 2020.11.28**/
- Fixed: Placeholder in email subject
- Fixed: Coupon expiry date is not set when Advanced Coupons for WooCommerce Premium is active
- Fixed: Hardcode date in the sample email
- Added: Extension can now be used to import reviews from other amazon websites(by region) besides the international website amazon.com
- Updated: Compatibility with WP 5.6

/**v1.1.4.8 - 2020.10.17**/
- Fixed: Wrong page after customers leave a review
- Fixed: Some reviews is missing on Safari desktop when "Enable box shadow" option is on
- Fixed: Product images not showing on Safari mobile in some cases relating to the use of "use strict"
- Fixed: Replies do not show when a filter is selected
- Added: Option to select which order statuses that button review will be available on My account/orders
- Added: Ability to import AliExpress/Amazon reviews with chrome extension
- Added: Compatibility with WooCommerce Email Template Customizer/Email Template Customizer for WooCommerce plugin from VillaTheme

/**v1.1.4.7 - 2020.08.15**/
- Fixed: Can not set proper Maximum photo size if upload_max_filesize is set with unit
- Updated: Compatibility with WP 5.5 and WC 4.3
- Added: Option to Restrict number of reviews

/**v1.1.4.6 - 2020.07.30**/
- Fixed: Some images not showing on masonry view
- Fixed: Month- and year-based folders when using custom photos folder
- Added: Preview images when customers upload
- Update: Review form shortcode popup

/**v1.1.4.5 - 2020.06.12**/
- Fixed: Load reviews from all products when using ajax pagination and filter for single product page
- Added: Option to show review form shortcode as popup(type='popup')
- Improved: Button review on my account/orders

/**v1.1.4.4 - 2020.05.21**/
- Fixed: Can not click helpful button on popup
- Fixed: Review shortcode and Elementor reviews widget

/**v1.1.4.3 - 2020.05.20**/
- Fixed: Review form issue on single product page with some themes
- Fixed: Can not scroll review on mobile
- Added: Bulk action to apply Phrases filter to existing reviews
- Added: Option to turn Review title on/off
- Added: Import/export review title
- Added: Compatibility with Elementor
- Updated: Compatibility with WP 5.4 and WC 4.1

/**v1.1.4.2 - 2020.04.29**/
- Fixed: WPML issue with newly added options since version 1.1.4
- Fixed: Max content length issue when review contains html tags
- Added: Option to show/hide country for reviews imported from AliExpress

/**v1.1.4.1 - 2020.04.27**/
- Fixed: Firefox regex issue
- Added: Option to change Review title placeholder

/**v1.1.4 - 2020.04.24**/
- Fixed: Masonry issue on Iphone
- Fixed: Review reminder links
- Added: Review title
- Added: Option to select order statuses to trigger Review reminder
- Added: Option to allow empty review content
- Added: Option to select folder to store reviews uploaded by customers and reviews imported from AliExpress/CSV
- Added: Option to prefix photos of reviews uploaded by customers and photos of reviews imported from AliExpress/CSV
- Added: Add use_single_product attribute for reviews shortcode [wc_photo_reviews_shortcode]
- Added: More popup options: only image/off for masonry, lightbox for default view
- Added: Ajax pagination and filters, default active filters when Ajax pagination is enabled
- Added: Shortcode [wc_photo_reviews_rating_html]
- Added: Link to review products on My account/orders
- Added: Customize message after customers leave a review
- Added: Phrases filter for reviews imported from AliExpress
- Added: Options to select multiple ratings, multiple countries, review status when importing from AliExpress
- Added: Max review content for Masonry layout

/**v1.1.3.4 - 2019.10.24**/
- Fixed: Products in reminder emails
- Fixed: Structured data for masonry style
- Fixed: Link to reviews form
- Added: Exclude email addresses to receive reminder email
- Updated: Import csv function

/**v1.1.3.3 - 2019.08.08**/
- Fixed: Click on reviews does not popup on iphone if reviews do not have images
- Fixed: Import Reviews from Aliexpress function
- Added: Option to not show Filters, Rating count & Overall rating if a product does not have any reviews
- Added: Grid item border color for Masonry style

/**v1.1.3.2 - 2019.07.27**/
- Fixed: Use shortcode in single product page
- Fixed: Can not deselect Review page for Review reminder
- Added: Add product_id argument for new shortcode [woocommerce_photo_reviews_form]

/**v1.1.3.1 - 2019.07.25**/
- Fixed: Import reviews feature

/**v1.1.3 - 2019.07.24**/
- Fixed: WPML problem with past orders which have never used review reminder before
- Updated: Masonry style
- Added: Image caption
- Added: Click to view full image on masonry popup
- Added: Admin can rearrange images, click on image to edit or change in edit comment page
- Added: Reviews count, overall rating for shortcode
- Added: Reviews form shortcode [woocommerce_photo_reviews_form]
- Added: Review page for review reminder using reviews form shortcode
- Added: Import/export reviews
- Added: Upvote/downvote buttons
- Added: Optional fields
- Added: Custom "from" address for coupon email and reminder email

/**v1.1.2 - 2019.05.01**/
- Added: Auto get key

/**v1.1.1 - 2019.01.17**/
- Fixed: Warning message in version v1.1.0
- Fixed: Coupon not sent when turning on Verified owner is required
- Fixed: Bulk action Send reminder not working with unregistered customer

/**v1.1.0 - 2019.01.12**/
- Fixed: Check SSL
- Fixed: CSS
- Added: Compatible WPML & Polylang
- Added: One-time log-in review link: when customers click on button "Review now" for the first time in review reminder email, they will be logged-in if their billing email is registered to an account
- Added: Add multiple images at once in admin when editing review or adding a review
- Added: Option to display review author name as N***
- Added: Option to include/exclude products/categories on which reviews will receive coupon
- Added: Option to set unique coupon Exclude products, Included categories, Exclude categories
- Added: Exclude categories to send review reminder
- Added: Option to not send review reminder if reviews on a product do not receive coupon
- Added: Preview emails
- Added: Normal style for shortcode: [wc_photo_reviews_shortcode style="normal"]
- Added: Filter for review images name when uploading
- Updated: Only send review reminder with products in the order that the customer did not review
- Updated: How coupon is given: Option to not give coupon for emails that do not have an account; an user/email can only receive one coupon for his/her review on a product no matter how many times he/she reviews that product
- Optimized: Control image sizes: Only create custom size and remove other unwanted sizes for images uploaded when customers review, admins add/edit review in backend and images of reviews imported from AliExpress

/**v1.0.9.2 - 2018.10.18**/
- Fixed: Active purchased code
- Fixed: Some text not translated
- Fixed: Some import reviews images not downloaded
- Fixed: Product images and price in review reminder
- Added: Import reviews by country
- Added: Filter reviews by rating, product at admin panel
- Added: Admin can add reviews manually
- Added: Ajax pagination and images rotation for normal Front-end style
- Updated: Shorten unique coupon code

/**v1.0.9.1 - 2018.07.24**/
- Fixed: Disable mobile not working
- Added: RTL support
- Optimized: Filter reviews
- Added: Customizable gdpr checkbox message
- Added: Customizable verified owner text/badge

/**v1.0.9 - 2018.05.22**/
- Updated: Filter reviews
- Added: GDPR policy checkbox
- Added: Overall rating
- Updated: Class Support

/**v1.0.8.1 - 2018.05.09**/
- Added: Custom css for shortcode [wc_photo_reviews_shortcode]

/**v1.0.8 - 2018.05.08**/
- Added: Import reviews from Aliexpress

/**v1.0.7 - 2018.04.13**/
- Added: Shortcode to all reviews [wc_photo_reviews_shortcode]
- Added: Option display product summary(title, reviews, price, button add-to-cart) on masonry popup

/**v1.0.6 - 2018.03.17**/
- Fixed: masonry popup
- Fixed: Send manual review reminder
- Optimized: Photos uploaded, reduce unnecessary photos sizes
- Added: Grid layout options: column number, grid color/background color, grid item color/bacground color, rating stars color.

/**v1.0.5 - 2018.02.08**/
- Fixed: unique coupon settings, broken grid view when there's 1 review(on firefox and microsoft edge), 'select all' check box not show on Woo order page
- Added: custom css field for Reviews

/**v1.0.4 - 2018.02.03**/
- Updated: Admin can edit review images

/**v1.0.3 - 2018.01.31**/
- Fixed: coupon settings
- Added: sort review by time(backend)
- Updated: turn each filter button 'x stars' on/off, display photos and rating in comments list in backend, edit review reminder in order page

/**v1.0.2 - 2018.01.25**/
- Added: auto update, "Review Now" button style
- Changed: Coupon expiry date

/**v1.0.1 - 2018.01.23**/
- fixed: email settings save
- updated: products restriction in review reminder

/**v1.0.0 - **/
- The first release
